function [obj, g] = func(theta, Data, VIT)

% Break up the data
Y = Data(:,1); Z = Data(:,2); XSplines = Data(:,3:end);

% And calculate the test functions
TFunc = normpdf((repmat(Z, 1, length(VIT)) - repmat(VIT,length(Z),1))/0.05);
TFunc = [TFunc normpdf((repmat(Z, 1, length(VIT)) - repmat(VIT,length(Z),1))/0.2)];

% And the objective function
Wt = mean(repmat((Y - XSplines*theta),1,size(TFunc,2)).*TFunc)';

obj = length(Y)*Wt.^2;

% Get the gradient, but only if requested
if nargout > 1
    
    % Get the derivative wrt to X
    XGrad = repmat(TFunc,[1 1 size(XSplines,2)]).*permute(repmat(XSplines,[1 1 size(TFunc,2)]),[1 3 2]);
    XGrad = squeeze(mean(XGrad,1))';
    
    % Note this is not the standard (Y- Xb)'(Y-Xb)
    g = -2*length(Y)*repmat(Wt',size(XSplines,2),1).*XGrad;                
end

