function [C, Ceq, GC, GCeq] = f_boot_nonlcon(theta,LM,B)

% Break up the theta into sample and bootstrap
Stheta = theta(1:length(theta)/2);
Btheta = theta(length(theta)/2 + 1:end);

% Make the smoothness contraint for compoennts
C = [(Stheta'*LM*Stheta - B(1)); Btheta'*Btheta - B(2)];

% And the equality constraints
Ceq = [0; 0];

% Get the gradient, but only if requested
if nargout > 1
    % The inequality one, the equality is meaningless
    GC1 = [2*LM*Stheta Btheta*0]; GC2 = [Stheta*0 2*Btheta];
    GC = [GC1; GC2];
    GCeq = GC*0;
end